# std::span<T,Extent>::rend, std::span<T,Extent>::crend

From cppreference.com
< cpp‎ | container‎ | span

constexpr reverse_iterator rend() const noexcept; |  |
constexpr const_reverse_iterator crend() const noexcept; |  |

Returns a reverse iterator to the element following the last element of the reversed span. It corresponds to the element preceding the first element of the non-reversed span. This element acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

Reverse iterator to the element following the last element.

### Complexity

Constant.

### See also

rbegin crbegin | returns a reverse iterator to the beginning (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/span/rend&oldid=104941"